<?php

$path_shindig = drupal_get_path('module', 'ShindigCore');
$string       = "<?php\n";
$string      .= '
/**
 * Configuration class.
 */
class ShindigConfigException extends Exception {}

$shindigConfig = array(
	"gadget_server" => "http://' . $_SERVER['HTTP_HOST'] . base_path().$path_shindig . '/shindig/php",
	"web_prefix" => "'. base_path(). $path_shindig .'/shindig/php",
	"default_js_prefix" => "'. base_path() . $path_shindig .'/shindig/php/gadgets/js/",
	"default_iframe_prefix" => "'. $path_shindig .'/shindig/php/gadgets/ifr?",
	"include_path" => "'.$_SERVER['DOCUMENT_ROOT']. base_path().'/includes/",
	"settings_php" => "'.$_SERVER['DOCUMENT_ROOT']. base_path().conf_path() .'/settings.php",
	"people_service" => "ShindigIntegratorPeopleService",
	"activity_service" => "ShindigIntegratorActivitiesService",
	"app_data_service" => "ShindigIntegratorAppDataService",
);
$GLOBALS["shindigConfig"] = $shindigConfig;
class ShindigConfig {
	static function get($key)
	{					
		global $shindigConfig;						
		if (isset($shindigConfig[$key])) {
			return $shindigConfig[$key];
		} else {
			throw new ConfigException("Invalid Config Key");
		}
	}
}';

$filename     = "$path_shindig/shindig/php/config/local.php";
$handle       = fopen($filename, 'w');
if($handle)
{
  if(!fwrite($handle, $string))
  {
    echo "failed to create config file";
  }	
  fclose($handle);
}

$filename = "$path_shindig/shindig/config/container.js";
$handle   = @fopen($filename, "r");
$file_str = "";
if ($handle) 
{
  $file_str = fread($handle,filesize($filename));
  fclose($handle);
}
$replace      = "/social";
$replace_with = base_path().$path_shindig."/shindig/php/social";
$substr       =  str_replace($replace, $replace_with, $file_str);
$handle       = @fopen($filename, "w");
if ($handle) {
  $file_str = fwrite($handle,$substr);
  fclose($handle);
}
?>